$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/550/SoftwareIdeasModelerSetup32-11-17.exe'
$url64      = 'https://www.softwareideas.net/Download/File/549/SoftwareIdeasModelerSetup64-11-17.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = 'd94e70b0098c775131c9b491caeaf446d72736e27387b8061c1f38e7fd89be20'
  checksumType  = 'sha256'
  checksum64    = '4115979bcbbd44b018e3e8d7afb7d3b24a384dd5c110a8bf3f99075bf42b419e'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
